Bug 1985852 - The vmware-vsphere-csi-driver-webhook pod runs as “BestEffort” qosClass
Summary: The vmware-vsphere-csi-driver-webhook pod runs as “BestEffort” qosClass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Fabio Bertinatto
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-26 04:13 UTC by Wei Duan
Modified: 2021-10-18 17:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:41:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift vmware-vsphere-csi-driver-operator pull 41 0 None None None 2021-08-19 14:20:07 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:41:22 UTC

Description Wei Duan 2021-07-26 04:13:34 UTC
Description of problem:
The vmware-vsphere-csi-driver-webhook pod is defined the resource requests for cpu/memory,and runs as BestEffort qosClass.

$ oc -n openshift-cluster-csi-drivers get pod vmware-vsphere-csi-driver-webhook-5d85869f56-7xwrw -o json | jq .status.qosClass
"BestEffort"

Version-Release number of selected component (if applicable):
4.9.0-0.nightly-2021-07-25-125326

How reproducible:
Always

Steps to Reproduce:
1. Install OCP cluster on vSphere
2. Enable the featuregate to install the vmware-vsphere-csi-driver
$ oc patch featuregate cluster -p '{"spec": {"featureSet": "TechPreviewNoUpgrade"}}' --type merge
3. Check the vmware-vsphere-csi-driver-webhook introduced in 4.9 new feature

Actual results:
The vmware-vsphere-csi-driver-webhook pod runs as “BestEffort” qosClass

Expected results:
The vmware-vsphere-csi-driver-webhook pod should not run as “BestEffort” qosClass

Comment 1 Fabio Bertinatto 2021-08-19 14:25:17 UTC
For OCP 4.9 we are not deploying the webhook anymore. See [1] for an explanation. We plan to start shipping it once the v1beta1 CRD creation by the CSI driver is fixed (most likely 4.10).

In any case, the asset files are still present in the vSphere CSI Driver operator repository. I fixed the webhook Deployment there so that once we start deploying the webhook it doesn't run as BestEffort.

[1] https://github.com/openshift/vmware-vsphere-csi-driver-operator/pull/34

Comment 5 errata-xmlrpc 2021-10-18 17:41:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.